@import '../../../assets/styles/common.scss';

.result-card {
  height: 20rem;
  margin-bottom: 4rem;
  border: 2px solid #ffffff33;
  border-radius: 6px;
  background: #06002a 0% 0% no-repeat padding-box;
  cursor: pointer;

  &-body {
    display: flex;
    padding: 3.2rem 2.8rem 3rem;

    &__avatar {
      width: 6.4rem;
      height: 6.4rem;
      margin-right: 4rem;
      border: 1px solid white;
      border-radius: 3.2rem;
      background-image: url('../../../assets/images/avatar/profile-default.svg');
    }

    &-content {
      display: flex;
      flex-direction: column;
      justify-content: center;
      max-width:  calc(100% - 10.4rem);

      &__title {
        font-weight: 800;
        font-size: 2.6rem;
        text-transform: capitalize;
        letter-spacing: 0;
        overflow-wrap: break-word;
        hyphens: auto;
      }

      &__subTitle {
        font-weight: 800;
        font-size: 2.2rem;
        text-transform: capitalize;
        opacity: .5;
        letter-spacing: 0;
      }
    }
  }

  &-footer {
    display: flex;
    align-items: center;
    height: 7rem;
    padding: 0 2.3rem 0 3.8rem;
    background-image: linear-gradient($blue, $blue-darkest);

    &-item {
      margin-right: 16px;
      padding: .5rem 1.4rem .7rem 1.5rem;
      border-radius: 4px;
      text-transform: capitalize;
      background: rgba(255, 255, 255, 0.19) 0% 0% no-repeat padding-box;

      &__live {
        background: rgba(255, 51, 0, 0.904) 0% 0% no-repeat padding-box;
      }
    }

    &__category {
      font-size: 1.9rem;

      & span {
        font-weight: 900;
        color: $result__category;
      }
    }
  }

  &__grow {
    flex-grow: 1;
  }

  @media only screen and (max-width: 1400px) {
    &-body {
      &__avatar {
        margin-right: 2rem;
      }

      &-content {
        &__title {
          margin-bottom: .5rem;
          font-size: 2rem;
        }
      }
    }
  }
}
